{% load static %}
<!doctype html>
<html lang="es">
  <head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <link rel="icon" type="image/png" href="{% static 'images/unmuntdecontesfavicon.png' %}">

    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.13.0/css/all.min.css">
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css" integrity="sha384-Vkoo8x4CGsO3+Hhxv8T/Q5PaXtkKtu6ug5TOeNV6gBiFeWPGFN9MuhOf23Q9Ifjh" crossorigin="anonymous">
    <link rel="stylesheet" href="{% static 'css/categories.css' %}">

    <title>Categories</title>
  </head>
  <body>
<div class="container-fluid">
    <nav class="navbar navbar-light">
        <a class="navbar-brand" href="{% url 'inici' %}">
        <img src="{% static 'images/unmuntdeconteslogo.png' %}" width="130" height="150" alt="logo">
        </a>
        <ul class="navbar-nav">
        <li class="nav-item dropdown">
            <a class="nav-link dropdown-toggle text-white" href="#" id="navbarDropdownMenuLink" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                <i class="fas fa-user"></i> {{ user.username }}
            </a>
            <div class="dropdown-menu" aria-labelledby="navbarDropdownMenuLink">
            <a class="dropdown-item" href="{% url 'logout' %}">Tancar Sessió</a>
            </div>
        </li>
        </ul>
    </nav>
    <h1 class="text-uppercase text-center">Escull una categoria</h1>
</div>
<div class="container pt-5">
    <div class="row justify-content-center">
        {% for Categoria in categorias %}
        <div class="col-3 text-center">
        <div class="card" style="background-color: {{ Categoria.color }};">
            <div class="card-body">
                <p class="card-text font-weight-bold text-white">{{ Categoria.titulo }}</p>
                <a class="btn btn-outline-primary text-white" href="/{{ Categoria.slug }}">Llegir Més</a>
            </div>
            </div>
            {% endfor %}
        </div>
    </div>
</div>

    <!-- Optional JavaScript -->
    <!-- jQuery first, then Popper.js, then Bootstrap JS -->
    <script src="https://code.jquery.com/jquery-3.4.1.slim.min.js" integrity="sha384-J6qa4849blE2+poT4WnyKhv5vZF5SrPo0iEjwBvKU7imGFAV0wwj1yYfoRSJoZ+n" crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.0/dist/umd/popper.min.js" integrity="sha384-Q6E9RHvbIyZFJoft+2mJbHaEWldlvI9IOYy5n3zV9zzTtmI3UksdQRVvoxMfooAo" crossorigin="anonymous"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/js/bootstrap.min.js" integrity="sha384-wfSDF2E50Y2D1uUdj0O3uMBJnjuUD4Ih7YwaYd1iqfktj0Uod8GCExl3Og8ifwB6" crossorigin="anonymous"></script>
  </body>
</html>